# Webex Client

The Webex Client module provides integration between Drupal and [Cisco Webex APIs](https://developer.webex.com/), allowing site builders to authenticate with Webex via OAuth2 and manage multiple Webex credential sets from within Drupal.

It offers a configuration UI and developer tools to simplify access token management, making it easier to connect with Webex services such as meeting scheduling, user info, or analytics.

For a full description of the module, visit the  
[project page](https://www.drupal.org/project/webex_client).

Submit bug reports and feature suggestions, or track changes in the  
[issue queue](https://www.drupal.org/project/issues/webex_client).

---

## Table of contents

- Requirements
- Installation
- Configuration
- Troubleshooting
- Maintainers

---

## Requirements

This module requires no modules outside of Drupal core.

---

## Installation

Install as you would normally install a contributed Drupal module. For further information, see [Installing Drupal Modules](https://www.drupal.org/docs/extending-drupal/installing-drupal-modules).

If using Composer:
```bash
composer require drupal/webex_client
```

Enable the module using Drush:
```bash
drush en webex_client
```

---

## Configuration

1. Register your Webex integration at [Webex Developer Portal](https://developer.webex.com/my-apps)
    - Set the **redirect URI** to:  
      `https://<your-site-domain>/webex/oauth/callback`

2. In Drupal, go to:  
   `Configuration → Web services → Webex Clients`

3. Click **“Add Webex Client”** and enter:
    - Client ID
    - Client Secret
    - OAuth scopes

4. Save the configuration and optionally mark it as the **default**.

5. The system will now use this configuration for all Webex-related requests.

---

## Troubleshooting

- Ensure the Webex redirect URI exactly matches what’s configured in the Webex Developer Portal.
- If tokens fail to refresh, verify your scopes and client credentials.

---

## Maintainers

- Jose Perez - [jjosequevedo](https://www.drupal.org/u/jjosequevedo)
